
GammaLib - Change request #2191

FITS table column classes should support TSCALE keywords

09/04/2017 12:52 AM - Knödlseder Jürgen

Status: Closed Start date: 09/04/2017

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

This is needed because the COMPTEL data make use of the TSCALE keyword

History

#1 - 09/04/2017 11:29 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 90

I added the GFitsTableCol::scale() method to set the TSCALE and TZERO value before reading the column values.

#2 - 09/09/2017 12:50 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Code merged into devel.
